import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { CentralExchangeMarketQuote } from "./central-exchange-market-quote.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class CentralExchangeMarketQuoteService extends TypeOrmCrudService<CentralExchangeMarketQuote> {
    readonly repo: Repository<CentralExchangeMarketQuote>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<CentralExchangeMarketQuote>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<CentralExchangeMarketQuote>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<CentralExchangeMarketQuote[]>;
    createOneBy(params: DeepPartial<CentralExchangeMarketQuote>, manager?: EntityManager): Promise<CentralExchangeMarketQuote>;
    createAllBy(params: DeepPartial<CentralExchangeMarketQuote>[], manager?: EntityManager): Promise<CentralExchangeMarketQuote[]>;
    createAllIfNotExistBy(params: DeepPartial<CentralExchangeMarketQuote>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<CentralExchangeMarketQuote>, set: {
        [K in keyof CentralExchangeMarketQuote]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
