import { BaseEntity } from "typeorm";
import { Token } from "../token/token.entity";
import { Protocol } from "../protocol/protocol.entity";
declare const Lending_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & (abstract new (...args: any[]) => {
    status: boolean;
}) & typeof BaseEntity;
export declare class Lending extends Lending_base {
    protocol: Protocol;
    group: number;
    assets: string;
    supplyTokens: Token[];
    borrowTokens: Token[];
    address: string;
    pid: string;
    marketAddress: string;
    data: any;
    link: string;
    static relations: string[];
    static recursiveRelations: string[];
}
export {};
