import { NFTokenMarketplace } from "../nf-token-marketplace/nf-token-marketplace.entity";
import { NFTokenItem } from "../nf-token-item/nf-token-item.entity";
import { BaseEntity } from "typeorm";
import { Token } from "../token/token.entity";
declare const NFTokenItemPrice_base: (abstract new (...args: any[]) => {
    id: number;
}) & (abstract new (...args: any[]) => {
    createdAt: Date;
    updatedAt: Date;
    deletedAt?: Date;
}) & typeof BaseEntity;
export declare class NFTokenItemPrice extends NFTokenItemPrice_base {
    marketplace: NFTokenMarketplace;
    nfTokenItem: NFTokenItem;
    price: string;
    token: Token;
    static relations: string[];
    static recursiveRelations: any[];
}
export {};
