import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { NFTokenItem } from "./nf-token-item.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class NFTokenItemService extends TypeOrmCrudService<NFTokenItem> {
    readonly repo: Repository<NFTokenItem>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<NFTokenItem>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<NFTokenItem>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<NFTokenItem[]>;
    createOneBy(params: DeepPartial<NFTokenItem>, manager?: EntityManager): Promise<NFTokenItem>;
    createAllBy(params: DeepPartial<NFTokenItem>[], manager?: EntityManager): Promise<NFTokenItem[]>;
    createAllIfNotExistBy(params: DeepPartial<NFTokenItem>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<NFTokenItem>, set: {
        [K in keyof NFTokenItem]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
